Rappresenta un album.
GET /{album-id}
Acquisisci campi e segmenti su un album.
I requisiti dipendono dal tipo di nodo su cui si trova l'album.
| Requisito | Nodi utente | Nodi pagina | Nodi gruppo |
|---|---|---|---|
Qualsiasi | Qualsiasi | ||
Nessuna | Per ottenere contenuti pubblici delle Pagine su cui non puoi eseguire un'attività hai bisogno di | Nessuna | |
Pagine non pubblicate:
Pagine pubblicate: | Nessuna | ||
Non applicabile | Non applicabile | Amministratore |
GET /v25.0/{album-id} HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
try {
// Returns a `Facebook\FacebookResponse` object
$response = $fb->get(
'/{album-id}',
'{access-token}'
);
} catch(Facebook\Exceptions\FacebookResponseException $e) {
echo 'Graph returned an error: ' . $e->getMessage();
exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
echo 'Facebook SDK returned an error: ' . $e->getMessage();
exit;
}
$graphNode = $response->getGraphNode();
/* handle the result *//* make the API call */
FB.api(
"/{album-id}",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{album-id}",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{album-id}"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];| Nome | Descrizione | Tipo |
|---|---|---|
| L'ID dell'album. |
|
| Indica se lo spettatore può caricare foto su questo album. |
|
| Il numero approssimativo di foto nell'album. Non si tratta necessariamente di un numero esatto. |
|
| L'ID dell'immagine di copertina dell'album. | |
| L'ora in cui l'album è stato inizialmente creato. |
|
| La descrizione dell'album. |
|
| L'evento associato a questo album. | |
| L'utente attuale, se l'utente attuale ha creato l'album. | |
| Un link a questo album su Facebook. |
|
| La posizione testuale dell'album. |
|
| Il titolo dell'album. |
|
| Il luogo associato a questo album. | |
| Le impostazioni della privacy per l'album. |
|
| Il tipo di album. |
|
| L'ultimo aggiornamento dell'album. |
|
Puoi richiedere i seguenti segmenti come parametri del percorso o utilizzando il parametro della stringa della query fields.
Non puoi eseguire questa operazione su questo endpoint.
Non puoi eseguire questa operazione su questo endpoint.
Non puoi eseguire questa operazione su questo endpoint.